function [ de_pvalue ] = perm_test( de_scores, sample_score)
% permutation test to calculate KCS p-values
[n,~] = size(de_scores);
de_pvalue = zeros(n,1);

for i = 1:n
     tmp = numel(sample_score(find(sample_score >= de_scores(i))));
     de_pvalue(i) = tmp/10000;
end

end

