function [updated_clus, updated_centre ] = rmv_single( clusters, centres )
%Remove clusters consisting of only one gene

[k, ~] = size(clusters);
updated_clus = {};
updated_centre = [];
c = 1;
for i = 1:k
     [~, s] = size(clusters{i,1});
     if s ~= 1
         updated_clus{c,1} = clusters{i,1};
         updated_centre = [updated_centre; centres(i)];
         c = c+1;
     end
 end

end

